wibble::Token< _Id > Struct Template Reference

`#include <parse.h>`

Collaboration diagram for wibble::Token< _Id >:
[legend]

## Public Types

typedef _Id | Id

## Public Member Functions

bool | valid ()
| Token (Id _id, char c)
| Token (Id _id, std::string d)
| Token ()
bool | operator== (const Token &o) const

## Public Attributes

Id | id
std::string | data
Position | position
bool | _valid

## Member Typedef Documentation

## Id

template<typename _Id >

typedef _Id wibble::Token< _Id >::Id

## Constructor & Destructor Documentation

## Token() [1/3]

template<typename _Id >

wibble::Token< _Id >::Token | ( | Id | _id,
|  | char | c
| ) |  |

inline

References wibble::Token< _Id >::data.

## Token() [2/3]

template<typename _Id >

wibble::Token< _Id >::Token | ( | Id | _id,
|  | std::string | d
| ) |  |

inline

## Token() [3/3]

template<typename _Id >

wibble::Token< _Id >::Token | ( |  | ) |

inline

## Member Function Documentation

## operator==()

template<typename _Id >

bool wibble::Token< _Id >::operator== | ( | const Token< _Id > & | o | ) | const

inline

References wibble::Token< _Id >::_valid, wibble::Token< _Id >::data, wibble::Token< _Id >::id, and wibble::Token< _Id >::position.

## valid()

template<typename _Id >

bool wibble::Token< _Id >::valid | ( |  | ) |

inline

References wibble::Token< _Id >::_valid.

Referenced by wibble::Parser< Token, Stream >::eat().

## Member Data Documentation

## _valid

template<typename _Id >

bool wibble::Token< _Id >::_valid

Referenced by wibble::Token< _Id >::operator==(), and wibble::Token< _Id >::valid().

## data

template<typename _Id >

std::string wibble::Token< _Id >::data

Referenced by wibble::Parser< Token, Stream >::colon(), wibble::Lexer< Token, Stream >::consume(), wibble::ParseContext< Token, Stream >::error(), wibble::Lexer< Token, Stream >::keep(), TestParse::lexer(), wibble::Token< _Id >::operator==(), wibble::Parser< Token, Stream >::semicolon(), and wibble::Token< _Id >::Token().

## id

template<typename _Id >

Id wibble::Token< _Id >::id

Referenced by wibble::Parser< Token, Stream >::colon(), wibble::Parser< Token, Stream >::eat(), wibble::ParseContext< Token, Stream >::error(), TestParse::lexer(), wibble::Parser< Token, Stream >::next(), wibble::Token< _Id >::operator==(), wibble::ParseContext< Token, Stream >::remove(), and wibble::Parser< Token, Stream >::semicolon().

## position

template<typename _Id >

Position wibble::Token< _Id >::position

Referenced by wibble::ParseContext< Token, Stream >::error(), wibble::Lexer< Token, Stream >::keep(), and wibble::Token< _Id >::operator==().

The documentation for this struct was generated from the following file:

- parse.h